## org.eclipse.datatools.enablement.sybase.asa.schemaobjecteditor.examples.tableeditor.utils
Class Images

    java.lang.Object
      org.eclipse.datatools.enablement.sybase.asa.schemaobjecteditor.examples.tableeditor.utils.Images

    public class Images

extends java.lang.Object

Utility class to load images

Author:
  Idull

Field Summary
`static org.eclipse.jface.resource.ImageDescriptor` `DESC_COLLAPSE_ALL`
`static org.eclipse.jface.resource.ImageDescriptor` `DESC_HORIZONTAL`
`static org.eclipse.jface.resource.ImageDescriptor` `DESC_VERTICAL`
`static java.lang.String` `IMG_COLLAPSE_ALL`
`static java.lang.String` `IMG_HORIZONTAL`
`static java.lang.String` `IMG_VERTICAL`

Constructor Summary
`Images()`

Method Summary
`static org.eclipse.swt.graphics.Image` `get(java.lang.String key)` Returns the image managed under the given key in this registry.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### IMG_VERTICAL

    public static final java.lang.String IMG_VERTICAL

See Also:
  Constant Field Values

### DESC_VERTICAL

    public static final org.eclipse.jface.resource.ImageDescriptor DESC_VERTICAL

### IMG_HORIZONTAL

    public static final java.lang.String IMG_HORIZONTAL

See Also:
  Constant Field Values

### DESC_HORIZONTAL

    public static final org.eclipse.jface.resource.ImageDescriptor DESC_HORIZONTAL

### IMG_COLLAPSE_ALL

    public static final java.lang.String IMG_COLLAPSE_ALL

See Also:
  Constant Field Values

### DESC_COLLAPSE_ALL

    public static final org.eclipse.jface.resource.ImageDescriptor DESC_COLLAPSE_ALL

Constructor Detail

### Images

    public Images()

Method Detail

### get

    public static org.eclipse.swt.graphics.Image get(java.lang.String key)

  Returns the image managed under the given key in this registry.

  Parameters:
    `key` - the image's key
  Returns:
    the image managed under the given key